Skip to content

Get Auto Scaling Group Details

GET
/api/v1/scaler/scalegroups/{scaler_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the full configuration and live node list for a single auto scaling group, including the elastic and scheduled policy detail and every currently running node (id, private/public IP, status). Use the group id returned by List.

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

Full configuration and live node list for one auto scaling group.

object
code
integer
data
object
id
integer
name
string
running
integer
desired
integer
provision_status
string
tags
string
min_nodes
integer
max_nodes
integer
plan_name
string
plan
string
vm_image_name
string
customer_id
integer
plan_id
integer
image_id
integer
nodes
Array<object>
object
id
integer
name
string
ip
Array<string>
public_ip
string
status
string
real_cpu
string
policy_op
string
policy
string
upscale_policy_value
integer
downscale_policy_value
integer
wait_for_period
integer
wait_period
integer
cooldown
integer
policy_measure
string
scheduled_policy_op
string
upscale_recurrence
string
upscale_adjust
integer
downscale_recurrence
string
downscale_adjust
integer
policy_upscale_operator
string
policy_downscale_operator
string
policy_type
string
parameter_evaluated_value
integer
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 12345,
"name": "web-autoscale-group",
"running": 2,
"desired": 2,
"provision_status": "Running",
"tags": "",
"min_nodes": 2,
"max_nodes": 5,
"plan_name": "C3.8GB",
"plan": "e2e_public_cloud",
"vm_image_name": "Ubuntu-22.04",
"customer_id": 12345,
"plan_id": 1088,
"image_id": 12345,
"nodes": [
{
"id": 12345,
"name": "web_0_service_12345",
"ip": [
"10.2.3.4"
],
"public_ip": "164.2.3.4",
"status": "Running",
"real_cpu": ""
}
],
"policy_op": ">",
"policy": "CPU>60",
"upscale_policy_value": 60,
"downscale_policy_value": 30,
"wait_for_period": 3,
"wait_period": 10,
"cooldown": 150,
"policy_measure": "CPU",
"scheduled_policy_op": "scheduled_action",
"upscale_recurrence": "0 12 * * *",
"upscale_adjust": 4,
"downscale_recurrence": "0 2 * * *",
"downscale_adjust": 2,
"policy_upscale_operator": ">",
"policy_downscale_operator": "<",
"policy_type": "Default",
"parameter_evaluated_value": 0
},
"message": "Success"
}